Subject: Re: bug#47677: [PATCH] condition-case success continuation

From: Stefan Kangas <[email-masked]>
Date: Wed, 21 Apr 2021 09:13:16 -0500

Mattias Engdegård <[email-masked]> writes:

> 14 apr. 2021 kl. 11.29 skrev Lars Ingebrigtsen <[email-masked]>:
>
>> Yeah, I think extending `catch' here would be less than optimal, but I
>> don't really have any suggestions here -- I use `throw/catch' so little
>> that I have no gut feeling about what I see as being useful.
>
> It's unfortunate that elisp has two incompatible variants, throw/catch and
> signal/condition-case, of essentially the same control structure. In practice
> throw/catch tends to be used more for non-error situations, but that's just a
> matter of style -- the underlying mechanisms are basically the same.
>
> In any case the patch apparently wasn't bad enough to be rejected outright so
> it's boldly been pushed to master. If the general opinion is that :no-error (or
> something else) would be a better name than :success, I'll make the change in a
> blink.
>
> I didn't do any serious search for places where the new construct
> would be profitably employed but there are bound to be a few. Have a
> look at `load-completions-from-file`, for example.

It seems like the patch here was pushed.

Should this be closed, or is there more to do here?